%define major 		23
%define cheesemajor	7

%define libname		%mklibname %{name}-gtk %{major}
%define develname	%mklibname -d %{name}-gtk

%define girmajor	3.0
%define girname		%mklibname %{name}-gtk-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		cheese
Version:	3.6.2
Release:	%mkrel 2
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:		Video/Utilities
URL:		http://www.gnome.org/projects/cheese/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.10.0
BuildRequires:	pkgconfig(clutter-gst-2.0) >= 1.9.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.91.8
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-1.0) >= 0.6.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-basevideo-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	libxtst-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala >= 0.13.2
Requires:	gnome-video-effects
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-vp8

# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{develname}
Group:		Development/C
Summary:	Developent files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-gtk-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Provides:	%{mklibname %{name}-gir %{girmajor}} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-help --all-name

%define launchers %{_sysconfdir}/dynamic/launchers/webcam

# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%name.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=cheese
Exec=cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %{launchers}/%name.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %{launchers}/%name.desktop 60

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %{launchers}/%name.desktop
   update-alternatives --remove webcam.gnome.dynamic %{launchers}/%name.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{launchers}/*.desktop
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/cheese.1.*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml

%files -n %{libname}
%{_libdir}/lib%{name}-gtk.so.%{major}*
%{_libdir}/lib%{name}.so.%{cheesemajor}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Cheese-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Cheese-%{girmajor}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 347668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317384
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307322
- group: Video ?\226?\134?\146 Video/Utilities
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297251
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295641
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288261
- update lib majors
- br gudev-1.0
- br gstreamer-basevideo-1.0
- update br
- new version 3.5.91

  + fwang <fwang>
    - bump br

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279579
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271508
- new version 3.5.4

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264515
- new version 3.5.3

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263890
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235689
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231121
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226936
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224525
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 220649
- rebuild for new cogl

* Thu Feb 23 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 212478
- rebuild for new cogl

* Tue Feb 21 2012 dams <dams> 3.3.90-2.mga2
+ Revision: 211515
- add vp8enc as a require

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211324
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205771
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197265
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197039
- new version

* Thu Dec 22 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185635
- br itstool
- new version 3.3.3

* Sun Dec 11 2011 ovitters <ovitters> 3.3.2-3.mga2
+ Revision: 180649
- require gstreamer0.10-plugins-good (bug 3706)

* Wed Nov 23 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 171153
- rebuild for new libchamplain

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170789
- update file list
- update libmajor
- new version 3.3.2

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159425
- update file list
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156054
- new version 3.2.1

* Wed Oct 12 2011 ovitters <ovitters> 3.2.0-2.mga2
+ Revision: 154106
- require gstreamer0.10-plugins-bad

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149367
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145868
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145690
- rebuild for new cogl

* Wed Sep 07 2011 tv <tv> 3.1.91.1-1.mga2
+ Revision: 140607
- library majors got bumped
- new release

* Tue Sep 06 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 139616
- new majors

  + tv <tv>
    - fix source URL

  + fwang <fwang>
    - update br
    - new version 3.1.91
    - rebuild for new cogl

* Tue Jul 19 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 126605
- new version 3.0.2
- drop upstream applied patch

* Tue Jul 05 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 118723
- rebuild for new cogl

* Mon Jul 04 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 118524
- new version 3.0.1
- add a subpackage for gir .typelib
- require gnome-video-effects
- clean .spec a bit

* Sat Feb 26 2011 ennael <ennael> 2.32.0-1.mga1
+ Revision: 60057
- fix missing BR
- clean spec file
- imported package cheese

